{
  "name": "catstronauts-server",
  "version": "1.0.0",
  "description": "Catstronauts server",
  "main": "src/index.js",
  "scripts": {
    "compile": "tsc",
    "gql:generate": "graphql-codegen",
    "server:start": "npm run compile && nodemon ./dist/index.js",
    "server:start:dev": "ts-node-dev --respawn ./src/index.ts"
  },
  "devDependencies": {
    "@graphql-codegen/cli": "^4.0.1",
    "@graphql-codegen/typescript": "^4.0.1",
    "@graphql-codegen/typescript-resolvers": "^4.0.1",
    "dotenv": "^8.6.0",
    "nodemon": "^2.0.20",
    "ts-node-dev": "^2.0.0",
    "typescript": "^5.1.3"
  },
  "dependencies": {
    "@apollo/datasource-rest": "^6.0.1",
    "@apollo/server": "^4.7.5",
    "@graphql-tools/mock": "^9.0.0",
    "@graphql-tools/schema": "^10.0.0",
    "graphql": "^16.7.1",
    "graphql-tag": "^2.12.6"
  }
}
